%global         pack gi-loadouts
%global         srce gi_loadouts
%global         uuid org.gridhead.gi-loadouts

Name:           %{pack}
Version:        0.1.9
Release:        1%{dist}
Summary:        Loadouts for Genshin Impact

License:        GPL-3.0-or-later
URL:            https://github.com/gridhead/%{pack}
Source0:        %{url}/releases/download/%{version}/%{srce}-%{version}-custom.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

Requires:       tesseract
Requires:       python-pillow-qt
Requires:       python-pyside6

%description
This is a desktop application that allows travelers to manage their custom 
equipment of artifacts and weapons for playable characters and makes it 
convenient for travelers to calculate the associated statistics based on their 
equipment using the semantic understanding of how the gameplay works. Travelers
can create their bespoke loadouts consisting of characters, artifacts and 
weapons and share them with their fellow travelers. Supported file formats 
include a human-readable Yet Another Markup Language (YAML) serialization 
format and a JSON-based Genshin Open Object Definition (GOOD) serialization 
format.

%prep
%autosetup -n %{srce}-%{version} -p0

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srce}
mkdir -p %{buildroot}%{_datadir}/applications %{buildroot}%{_metainfodir} %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
cp %{buildroot}%{python3_sitelib}/%{srce}/pack/%{uuid}.desktop %{buildroot}%{_datadir}/applications/%{uuid}.desktop
cp %{buildroot}%{python3_sitelib}/%{srce}/pack/%{uuid}.metainfo.xml %{buildroot}%{_metainfodir}/%{uuid}.metainfo.xml
cp %{buildroot}%{python3_sitelib}/%{srce}/pack/%{uuid}.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{uuid}.svg

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{uuid}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{uuid}.metainfo.xml

%files -f %{pyproject_files}
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_metainfodir}/%{uuid}.metainfo.xml
%{_datadir}/applications/%{uuid}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{uuid}.svg

%changelog
* Sat Jul 12 2025 Akashdeep Dhar <t0xic0der@fedoraproject.org> - 0.1.9-1
- Announcement - https://gridhead.net/loadouts-for-genshin-impact-v0-1-9-released/
- GitHub release - https://github.com/gridhead/gi-loadouts/releases/tag/0.1.9
- PyPI release - https://pypi.org/project/gi-loadouts/
